Skip to main content
Infrastructure/Federation & SSO
POSTFederationSince 1.0SynchronousAuth Required

TestSSOConnection

SSO Actions Test connectivity and validate the specified SSO configuration against its IDP.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • idStringRequired

    Unique identifier of the SSO configuration to test.

Body Fields

  • tenantUuidStringRequired

    Deprecated and ignored. SSO configurations are global.

    Example: deprecated-tenant-uuid

Responses

200 OK

On success, this API returns the following response structure.

  • successBoolean

    Whether the SSO connectivity test succeeded.

    Example: true

  • issuerString

    Issuer URL returned by the identity provider during the test.

    Example: https://idp.example.com

  • authorizationEndpointString

    Authorization endpoint discovered from the identity provider.

    Example: https://idp.example.com/oauth2/authorize

  • tokenEndpointString

    Token endpoint discovered from the identity provider.

    Example: https://idp.example.com/oauth2/token

  • errorMessageString

    Error message if the connectivity test failed.

    Example: authentication failed

Endpoint

POST/api/v1/sso/configurations/{id}/test

/api/v1/sso/configurations/{id}/test

Operation ID

TestSSOConnection

Permalink

Request Example

curl -X POST '{host}/api/v1/sso/configurations/{id}/test' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"tenantUuid":"deprecated-tenant-uuid"}'

Response Example

200
{
  "success": true,
  "issuer": "https://idp.example.com",
  "authorizationEndpoint": "https://idp.example.com/oauth2/authorize",
  "tokenEndpoint": "https://idp.example.com/oauth2/token",
  "errorMessage": "authentication failed"
}

Change History

This API has no change history records yet.

View all change history